Subject: bug#22479: 25.0.50; isearch and query-replace histories do not remember if we were looking for symbols

From: Drew Adams <[email-masked]>
Date: Sat, 30 Jan 2016 17:00:12 -0800 (PST)

> > I don't know how much complexity we want here. Each history item can
> > be a richer structure than just the search string. Too much?

Yes, too much (IMHO).  Trying to solve a non-problem or a minor problem.

(Why stop with search for a symbol?  There are a zillion things
that one could potentially record about the current search state,
from the current mode and currently active minor modes, all current
variable settings, key bindings, etc. to the current phase of the
moon.  Who is to say just what the user considered the search
context to be: what s?he was looking for and why?)

People have been using Isearch for decades without this bothering
them.  And it's not as if it is difficult for a user to reestablish
such a state (symbol search) interactively.

> Yes, this is a harder problem.  We have to remember meta-data for
> every search history element.  There are several possibilities:
...
> 5. More ideas? ;)

Yes, do nothing. ;-)  Move on to real problems...